XCPUSTATE(1)

NAME
xcpustate - display CPU states (idle, nice, system, kernel) statistics

SYNTAX
xcpustate [-toolkitoption ...] [-count iterations] [-interval seconds]

DESCRIPTION
Xcpustate displays bars showing the percentage of time the CPU spends in different states.

On a machine running Berkeley Unix, or a derivative (Suns with SunOS, microVaxen with Ultrix), the bar indicates the proportions of idle, user, nice, and system time with increasing levels of gray scale (from left to right)

On an Iris4D, there may be more than one bar, one for each CPU, and each bar indicates the proportions of idle + wait, user, kernel, sxbrk and interrupt time for each cpu.

On a Cray X/MP or Y/MP, under Unicos 5.1 or greater, it will display bars for as many cpus as are configured. The proportions of idle, user and system time are shown for each cpu.

OPTIONS
Xcpustate accepts all of the standard X Toolkit command line options, plus:

-count iterations
    The number of times it should update the display. Default is forever.

-interval seconds
    the interval in between updates. Default is 1 second.

X DEFAULTS
For xcpustate the available class identifiers are:

CPUStateMonitor - the application
Form - enclosing the entire application, and sub-Forms enclosing
Label/Bar pairs.

For xcpustate, the available name identifiers are:

xcpustate - application name
The outer Form is "form".
The Forms enclosing the Label/Bar pairs are "formN", where N is the
index number, starting with the top pair as zero.
Each Label name is the same as the label string.
Each Bar name is "barN".

For xcpustate, the available resources are:

name interval, class Interval
    corresponds to the -interval option. Takes an integer value.

name count, class Count
    corresponds to the -count argument, also takes and integer value.

NOTES
Xcpustate was designed for a multiprocessor (a Silicon Graphics Iris4D/240) - it happens to work for conventional BSD uniprocessors. It is meant to be easy to port, and extend to monitor a wide variety of statistics.

SEE ALSO
xperfmon, xload

AUTHOR
Mark Moraes, University of Toronto Thanks to Chris Siebenmann for the code for BSD systems. Thanks to Walter D. Poxon from Cray Research for the code for Cray X/MP and Y/MPs.